Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class TestCase

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.QmResource
              org.eclipse.lyo.client.oslc.resources.TestCase

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class TestCase

extends QmResource

Constructor Summary
`TestCase()`

Method Summary
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
`void` | `addSubject(String subject)`
`void` | `addTestsChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link changeRequest)`
`void` | `addUsesTestScript(org.eclipse.lyo.oslc4j.core.model.Link testscript)`
`void` | `addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)`
`URI[]` | `getContributors()`
`URI[]` | `getCreators()`
`String` | `getDescription()`
`protected URI` | `getRdfType()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
`String[]` | `getSubjects()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTestsChangeRequests()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getUsesTestScripts()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatesRequirements()`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreators(URI[] creators)`
`void` | `setDescription(String description)`
`void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTestsChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] testsChangeRequests)`
`void` | `setUsesTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestScripts)`
`void` | `setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)`

Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource
`addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestCase

    public TestCase()

Method Detail

### getRdfType

    protected URI getRdfType()

  Specified by:
    `getRdfType` in class `QmResource`

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRelatedChangeRequest

    public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

### addSubject

    public void addSubject(String subject)

### addTestsChangeRequest

    public void addTestsChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link changeRequest)

### addUsesTestScript

    public void addUsesTestScript(org.eclipse.lyo.oslc4j.core.model.Link testscript)

### addValidatesRequirement

    public void addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)

### getContributors

    public URI[] getContributors()

### getCreators

    public URI[] getCreators()

### getDescription

    public String getDescription()

### getRelatedChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

### getSubjects

    public String[] getSubjects()

### getTestsChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getTestsChangeRequests()

### getUsesTestScripts

    public org.eclipse.lyo.oslc4j.core.model.Link[] getUsesTestScripts()

### getValidatesRequirements

    public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatesRequirements()

### setContributors

    public void setContributors(URI[] contributors)

### setCreators

    public void setCreators(URI[] creators)

### setDescription

    public void setDescription(String description)

### setRelatedChangeRequests

    public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

### setSubjects

    public void setSubjects(String[] subjects)

### setTestsChangeRequests

    public void setTestsChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] testsChangeRequests)

### setUsesTestScripts

    public void setUsesTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestScripts)

### setValidatesRequirements

    public void setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.